diff --git a/pkgmngt/packageManager.xml.pacman b/pkgmngt/packageManager.xml.pacman
index aa4e9ce..16cb844 100644
--- a/pkgmngt/packageManager.xml.pacman
+++ b/pkgmngt/packageManager.xml.pacman
@@ -458,164 +537,117 @@ cp -rv mesonbuild /usr/bin</userinput></screen>
 
 </sect1>
 
-<sect1 id="ch-chroot-pkgmngt" role="wrap">
-  <?dbhtml filename="pacman.html"?>
+<sect1 id="ch-chroot-python" role="wrap">
+  <?dbhtml filename="python.html"?>
 
   <sect1info condition="script">
-    <productname>pacman</productname>
-    <productnumber>&pacman-version;</productnumber>
-    <address>&pacman-url;</address>
+    <productname>python</productname>
+    <productnumber>&python-version;</productnumber>
+    <address>&python-url;</address>
   </sect1info>
 
-  <title>Pacman-&pacman-version;</title>
+  <title>Python-&python-version;</title>
 
   <sect2 role="installation">
     <title/>
-<screen><userinput remap="configure">mkdir build
-cd build
-meson --prefix=/usr                        \
-      -Dcrypto=openssl                     \
-      -Ddoc=disabled                       \
-      -Dgpgme=disabled</userinput></screen>
-
-<screen><userinput remap="make">ninja</userinput></screen>
-
-<screen><userinput remap="install">ninja install</userinput></screen>
-
-<screen><userinput>sed -e 's/\([^!]\)strip/\1!strip/' \
-    -e 's/\([^!]\)libtool/\1!libtool/' \
-    -e 's/\([^!]\)zipman/\1!zipman/' \
-    -i /etc/makepkg.conf
-cat &gt;&gt; /etc/makepkg.conf &lt;&lt; EOF
-BUILDDIR=/sources
-PKGDEST=/var/lib/packages
-PACKAGER="Pierre Labastie &lt;lnimbus@club-internet.fr&gt;"
-EOF
-cat &gt;&gt; /etc/pacman.conf &lt;&lt; EOF
-DBPath   = /var/lib/pacman/
-CacheDir = /var/cache/pacman/pkg/
-LogFile  = /var/log/pacman.log
-SigLevel = Never
-# Repository: do not add one now: repo-add needs openssl.
-EOF</userinput></screen>
-
+<screen><userinput remap="configure">./configure --prefix=/usr        \
+            --enable-shared      \
+            --with-system-expat  \
+            --with-system-ffi    \
+            --with-ensurepip=yes \
+            --enable-optimizations</userinput></screen>
+<screen><userinput remap="make">make</userinput></screen>
+<screen><userinput remap="install">make install</userinput></screen>
   </sect2>
 
 </sect1>
 
-<sect1 id="ch-chroot-shadow" role="wrap">
-  <?dbhtml filename="shadow.html"?>
+<sect1 id="ch-chroot-setuptools" role="wrap">
+  <?dbhtml filename="setuptools.html"?>
 
   <sect1info condition="script">
-    <productname>shadow</productname>
-    <productnumber>&shadow-version;</productnumber>
-    <address>&shadow-url;</address>
+    <productname>setuptools</productname>
+    <productnumber>&setuptools-version;</productnumber>
+    <address>&setuptools-url;</address>
   </sect1info>
 
-  <title>shadow-&shadow-version;</title>
+  <title>setuptools-&setuptools-version;</title>
 
   <sect2 role="installation">
     <title/>
-<screen><userinput remap="pre">sed -i 's/groups$(EXEEXT) //' src/Makefile.in
-find man -name Makefile.in -exec sed -i 's/groups\.1 / /'   {} \;
-find man -name Makefile.in -exec sed -i 's/getspnam\.3 / /' {} \;
-find man -name Makefile.in -exec sed -i 's/passwd\.5 / /'   {} \;
-sed -e 's:#ENCRYPT_METHOD DES:ENCRYPT_METHOD SHA512:' \
-    -e 's:/var/spool/mail:/var/mail:'                 \
-    -i etc/login.defs
-sed -i 's/1000/999/' etc/useradd</userinput></screen>
-<screen><userinput remap="configure">touch /usr/bin/passwd
-./configure --sysconfdir=/etc \
-            --with-group-name-max-length=32</userinput></screen>
-<screen><userinput remap="make">make</userinput></screen>
-<screen><userinput remap="install">make install</userinput></screen>
+<screen><userinput remap="make">python3 setup.py build</userinput></screen>
+<screen><userinput remap="install">python3 setup.py install --optimize=1 --skip-build</userinput></screen>
   </sect2>
 
 </sect1>
 
-<!-- Mandatory section for creating dirs. These instructions are added at the
-end of the creating dirs instructions of the book. Do not change the
-following line -->
-<sect1 id="ch-pkgmngt-creatingdirs">
-
-  <title>Creating Directories</title>
-
-<screen><userinput>mkdir -pv /var/{lib/{packages,pacman},cache/pkg}</userinput></screen>
+<sect1 id="ch-chroot-pip" role="wrap">
+  <?dbhtml filename="pip.html"?>
 
-</sect1>
-<!-- Same for files. Do not change the following line -->
-<sect1 id="ch-pkgmngt-createfiles">
+  <sect1info condition="script">
+    <productname>pip</productname>
+    <productnumber>&pip-version;</productnumber>
+    <address>&pip-url;</address>
+  </sect1info>
 
-  <title>Creating Essential Files</title>
+  <title>pip-&pip-version;</title>
 
-<screen><userinput>if ! grep -q tester /etc/passwd; then
-    echo "builder:x:101:101::/home/builder:/bin/bash" >> /etc/passwd
-    echo "builder:x:101:" >> /etc/group
-    install -o builder -d /home/builder
-else
-    TEST_UID=$(grep tester /etc/passwd | cut -d: -f3)
-    TEST_GID=$(grep tester /etc/group | cut -d: -f3)
-    echo "builder:x:$((TEST_UID+1)):$((TEST_GID+1))::/home/builder:/bin/bash" >> /etc/passwd
-    echo "builder:x:$((TEST_GID+1)):" >> /etc/group
-    install -o builder -d /home/builder
-fi
-chown builder:builder /var/lib/{packages,pacman}</userinput></screen>
+  <sect2 role="installation">
+    <title/>
+<screen><userinput remap="make">python3 setup.py build</userinput></screen>
+<screen><userinput remap="install">python3 setup.py install --prefix=/usr --optimize=1
+ln -sfv pip3.9 /usr/bin/pip3
+ln -sfv pip3.9 /usr/bin/pip</userinput></screen>
+  </sect2>
 
 </sect1>
-
-<!-- Last but not least : Final instructions for installing the
-package manager at the end of chapter 6. Again, the scriptlet file name is
-taken from the dbhtml instruction, with digits added before and .html cut
-and the tarball name is formed from this name + version. So the file
-here _must_ be the same as in chapter 5. If rendering in html, both
-sets of instructions end up in the same file, which is usually not a problem.
 -->
-<sect1 id="ch-system-libarchive" role="wrap">
-  <?dbhtml filename="libarchive.html"?>
+<sect1 id="ch-chroot-libcap" role="wrap">
+  <?dbhtml filename="libcap.html"?>
 
   <sect1info condition="script">
-    <productname>libarchive</productname>
-    <productnumber>&libarchive-version;</productnumber>
-    <address>&libarchive-url;</address>
+    <productname>libcap</productname>
+    <productnumber>&libcap-version;</productnumber>
+    <address>&libcap-url;</address>
   </sect1info>
 
-  <title>Libarchive-&libarchive-version;</title>
+  <title>libcap-&libcap-version;</title>
 
   <sect2 role="installation">
     <title/>
-<screen><userinput remap="configure">./configure --prefix=/usr \
-            --disable-static</userinput></screen>
-<screen><userinput remap="make">make</userinput></screen>
-<screen><userinput remap="install">make DESTDIR=$PKG_DEST install</userinput></screen>
+<screen><userinput remap="make">make prefix=/usr lib=lib</userinput></screen>
+<screen><userinput remap="install">make prefix=/usr lib=lib install
+chmod -v 755 /lib/lib{cap,psx}.so.&libcap-version;
+rm -f /usr/lib/lib{cap,psx}.a</userinput></screen>
   </sect2>
 
 </sect1>
-<sect1 id="ch-system-curl" role="wrap">
-  <?dbhtml filename="curl.html"?>
+
+<sect1 id="ch-chroot-coreutils" role="wrap">
+  <?dbhtml filename="coreutils.html"?>
 
   <sect1info condition="script">
-    <productname>curl</productname>
-    <productnumber>&curl-version;</productnumber>
-    <address>&curl-url;</address>
+    <productname>coreutils</productname>
+    <productversion>&coreutils-version;</productversion>
+    <address>&coreutils-url;</address>
   </sect1info>
 
-  <title>Curl-&curl-version;</title>
+  <title>coreutils-&coreutils-version;</title>
 
   <sect2 role="installation">
     <title/>
-<screen><userinput remap="configure">./configure --prefix=/usr \
-            --disable-static \
-            --enable-threaded-resolver</userinput></screen>
+<screen><userinput remap="configure">FORCE_UNSAFE_CONFIGURE=1 ./configure \
+            --prefix=/usr            \
+            --enable-no-install-program=kill,uptime</userinput></screen>
 <screen><userinput remap="make">make</userinput></screen>
-<screen><userinput remap="install">make DESTDIR=$PKG_DEST install
-find docs \( -name "Makefile*" -o -name "*.1" -o -name "*.3" \) -exec rm {} \;
-install -v -d -m755 $PKG_DEST/usr/share/doc/curl-&curl-version;
-cp -v -R docs/*     $PKG_DEST/usr/share/doc/curl-&curl-version;</userinput></screen>
+<screen><userinput ramap="install">make install
+rm -f /usr/bin/chroot</userinput></screen>
+
   </sect2>
 
 </sect1>
 
-<sect1 id="ch-system-fakeroot" role="wrap">
+<sect1 id="ch-chroot-fakeroot" role="wrap">
   <?dbhtml filename="fakeroot.html"?>
 
   <sect1info condition="script">
@@ -628,14 +660,86 @@ cp -v -R docs/*     $PKG_DEST/usr/share/doc/curl-&curl-version;</userinput></scr
 
   <sect2 role="installation">
     <title/>
-<screen><userinput remap="configure">./configure --prefix=/usr</userinput></screen>
-<screen><userinput remap="make">make</userinput></screen>
-<screen><userinput remap="install">make DESTDIR=$PKG_DEST install</userinput></screen>
+<screen><userinput remap="pre">patch -Np1 -i ../&fakeroot-chroot-patch;
+chmod 755 configure</userinput></screen>
+<screen><userinput remap="configure">./configure --prefix=/usr                 \
+            --disable-static</userinput></screen>
+<screen><userinput remap="make">sed '/SUBDIRS/s/doc //' -i Makefile
+make</userinput></screen>
+<screen><userinput remap="install">make install</userinput></screen>
   </sect2>
 
 </sect1>
 
-<sect1 id="ch-system-pkgmngt" role="wrap">
+<sect1 id="ch-chroot-ninja" role="wrap">
+  <?dbhtml filename="ninja.html"?>
+
+  <sect1info condition="script">
+    <productname>ninja</productname>
+    <productnumber>&ninja-version;</productnumber>
+    <address>&ninja-url;</address>
+  </sect1info>
+
+  <title>ninja-&ninja-version;</title>
+
+  <sect2 role="installation">
+    <title/>
+<screen><userinput remap="pre">sed -i '/int Guess/a \
+  int   j = 0;\
+  char* jobs = getenv( "NINJAJOBS" );\
+  if ( jobs != NULL ) j = atoi( jobs );\
+  if ( j > 0 ) return j;\
+' src/ninja.cc</userinput></screen>
+<screen><userinput remap="configure">python3 configure.py --bootstrap</userinput></screen>
+<screen><userinput remap="install">install -vm755 ninja /usr/bin/</userinput></screen>
+  </sect2>
+
+</sect1>
+
+<sect1 id="ch-chroot-meson" role="wrap">
+  <?dbhtml filename="meson.html"?>
+
+  <sect1info condition="script">
+    <productname>meson</productname>
+    <productnumber>&meson-version;</productnumber>
+    <address>&meson-url;</address>
+  </sect1info>
+
+  <title>meson-&meson-version;</title>
+
+  <sect2 role="installation">
+    <title/>
+<screen><userinput remap="make">python3 setup.py install --root=dest</userinput></screen>
+<screen><userinput remap="install">cp -rv dest/* /</userinput></screen>
+  </sect2>
+
+</sect1>
+
+<sect1 id="ch-chroot-curl" role="wrap">
+  <?dbhtml filename="curl.html"?>
+
+  <sect1info condition="script">
+    <productname>curl</productname>
+    <productnumber>&curl-version;</productnumber>
+    <address>&curl-url;</address>
+  </sect1info>
+
+  <title>Curl-&curl-version;</title>
+
+  <sect2 role="installation">
+    <title/>
+<screen><userinput remap="configure">
+./configure --prefix=/usr              \
+            --disable-static           \
+            --enable-threaded-resolver \
+            --with-ca-path=/etc/ssl/certs</userinput></screen>
+<screen><userinput remap="make">make</userinput></screen>
+<screen><userinput remap="install">make install</userinput></screen>
+  </sect2>
+
+</sect1>
+
+<sect1 id="ch-chroot-pacman" role="wrap">
   <?dbhtml filename="pacman.html"?>
 
   <sect1info condition="script">
